%define anolis_release 1

Name:           python-tensorboard
Version:        2.12.3
Release:        %{anolis_release}%{?dist}
Summary:        TensorFlow's Visualization Toolkit
License:        Apache License 2.0 
URL:            https://github.com/tensorflow/tensorboard
Source0:        https://files.pythonhosted.org/packages/32/09/86e2ef3b4f4ec04bde0eca499325f291ae6b3313381d0666ee20b5b80c73/tensorboard-%{version}-py3-none-any.whl

BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildArch:      noarch

%description
TensorFlow's Visualization Toolkit

%package -n     python3-tensorboard
Summary:        %{summary}

%description -n python3-tensorboard
TensorFlow's Visualization Toolkit

%prep

%build

%install
mkdir -p %{buildroot}/%{python3_sitelib}
pushd %{buildroot}/%{python3_sitelib}
unzip %{SOURCE0}
popd

cp %{buildroot}%{python3_sitelib}/tensorboard-%{version}.dist-info/LICENSE .


%check

%files -n python3-tensorboard
%license LICENSE
%{python3_sitelib}/tensorboard/
%{python3_sitelib}/tensorboard-%{version}.dist-info/

%changelog
* Tue Jun 20 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.12.3-1
- init from upstream
